<?php
	include('../conexion.php');
		
		session_start();
		 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s' or $_SESSION['tipo_usu']=='c'){
		}else{
			header('location:acceso_denegado.php');
		}

		$hoy=date("d/m/Y");
        $hora=date("H:i:s");
	
	
		$usu=$_SESSION['username'];	
		
$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
 $nomb = $row["usu"];





if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }



if ($cadena_busqueda<>"") {

	$array_cadena_busqueda=split("~",$cadena_busqueda);

	$cdgart=$array_cadena_busqueda[1];

	$cdgbar=$array_cadena_busqueda[2];

	$dscart=$array_cadena_busqueda[3];

	

} else {

	$cdgart="";

	$cdgbar="";

	$dscart="";

	

}





?>

<html>

	<head>

		<title>Modulo Inventario</title>

		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		

<script>
  window.onkeydown = tecla;
  function tecla(event) {

  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;


if(num==115){ ventanaArticulos();  }//f9 guardar e imprimir

 
  } }

            /////////   deshabilitar el f5 refrecar del navegador ///////////

//desactivar tecla f5
function f5()
{
var tecla=window.event.keyCode;
if (tecla==116) { event.keyCode=0;
event.returnValue=false;}
}
 


</script>


<script language="javascript">

		var cursor;

		if (document.all) {

		// Está utilizando EXPLORER

		cursor='hand';

		} else {

		// Está utilizando MOZILLA/NETSCAPE

		cursor='pointer';

		}

				
		//nombre del primer campo en la secuencia
		siguienteCampo = ""
		//nombre del formlario
		nombreForm = "form_busqueda"
		
		//funcion que gestiona el evento
		function TelcaPulsada( e ) {
		
		   if ( window.event != null)				//IE4+
			  tecla = window.event.keyCode;
		   else if ( e != null ) 				//N4+ o W3C compatibles
			  tecla = e.which;
		   else
			  return;
			
		   if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
				validar();	//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
				 return false
			  }
		   }
		}
		
		document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
		if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
			document.captureEvents(Event.KEYDOWN)
			
		


		function inicio() {

			document.getElementById("form_busqueda").submit();
			document.getElementById("cdgbar").focus();
			document.getElementById("cdgbar").select();

		}

		


		function paginar() {

			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;

			document.getElementById("form_busqueda").submit();

		}

		

	
		function limpiar() {

			document.getElementById("form_busqueda").reset();
			document.getElementById("form_busqueda").submit();

		}
		
			function ventanaArticulos(){
				
		    var codigo=document.getElementById("cdgart").value;
			//miPopup = window.open("ver_articulos_toma_fisica.php?,miwin","width=700,height=650,scrollbars=yes");
			miPopup = window.open("ver_articulos_toma_fisica.php?codigo="+codigo,"miwin","width=800,height=650,scrollbars=yes");
			document.getElementById("cantidad").select();
			
		}
	
		

function validararticulo(){

			      var codigoarticulo=document.getElementById("cdgart").value;
			miPopup = window.open("comprobararticulo_toma_fisica.php?cdgart="+codigoarticulo, "frame_datos2","width=900,height=90,scrollbars=yes");
	
			}

function validarbarras(){

			      var codigobarras=document.getElementById("cdgbar").value;
			miPopup = window.open("comprobararticulo_toma_fisica.php?cdgbar="+codigobarras, "frame_datos3","width=900,height=90,scrollbars=yes");


			}
				
	function buscar() {

			var cadena;

			cadena=hacer_cadena_busqueda();

			document.getElementById("cadena_busqueda").value=cadena;


			document.getElementById("form_busqueda").submit();

		}

	
		function hacer_cadena_busqueda() {

			var cdgart=document.getElementById("cdgart").value;

			var cdgbar=document.getElementById("cdgbar").value;

			var dscart=document.getElementById("dscart").value;			

			//var modbus=document.getElementById("modbus").value;

			var cadena="";

			cadena="~"+cdgart+"~"+cdgbar+"~"+dscart+"~";

			return cadena;

			}

		
		
		function validar() 
			{
	
				var mensaje="";
				var mensaje="";
				var entero=0;
				var enteroo=0;
		         
		
				if (document.getElementById("cdgbar").value=="") mensaje="  - Código de articulo\n";
				if (document.getElementById("cdgart").value=="") mensaje+="  - Descripción del articulo\n";
				
				if (document.getElementById("cantidad").value=="0.00") mensaje+="  - La Cantidad no puede ser 0.00\n";
	   			if (document.getElementById("cantidad").value < "0") mensaje+="  - La Cantidad no puede ser menor a  0.00\n";
				if (document.getElementById("cantidad").value=="0")  { mensaje+="  - La Cantidad no puede ser 0.00\n";
	
						}
				if (document.getElementById("cantidad").value=="") 
						{ 
						mensaje+="  - Falta la cantidad\n";
						} else {
							entero=document.getElementById("cantidad").value;
							if (isNaN(entero)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
							} else {
									document.getElementById("cantidad").value=entero;
								}
						}
				
				if (mensaje!="") {
					alert("Atencion, los siguientes campos son necesarios:\n\n"+mensaje);
					document.getElementById("cdgbar").focus();
					document.getElementById("cdgbar").select();
				} else {
				
			  	 	document.getElementById("accion").value=1;
					document.getElementById("form_busqueda").submit();
					document.getElementById("accion").value="";
					document.getElementById("cdgbar").value="";
					document.getElementById("dscart").value="";
					document.getElementById("cdgart").value="";
					document.getElementById("cantidad").value="";	
					document.getElementById("exiact").value="";	
			   		document.getElementById("cdgbar").focus();
			
				}
			}
		
		
		

function imprimir() {


	miPopup = window.open("excel_toma_fisica.php");

		}

		</script>

	    <style type="text/css">
<!--
.Estilo1 {
	font-size: 12pt;
	color: #FFFFFF;
}
-->
        </style>



</head>

    <body onLoad="inicio()" >



			<div id="zonaVentanas">
<form id="form_busqueda" name="form_busqueda" method="post" action="rejilla_toma_fisica.php" target="frame_rejilla">
                    
    <div  id="formulario" class="contenido">
      <table  width="100%" cellspacing=0 cellpadding=3 border=0>
        
        <tr>
          <td>&nbsp;</td>
          <td colspan="2">&nbsp;</td>
          <td align="right">&nbsp;</td>
          <td colspan="5" align="right">&nbsp;</td>
          <td width="6%" rowspan="19" align="center"><img src="../img/Arrow-Down_32x32-32.png" alt="fin" name="fin" width="32"  height="32" id="fin" title="Agregar articulo" onClick="validar()" onMouseOver="style.cursor=cursor" border="0"></td>
          <td width="3%" rowspan="19" align="center"><a><img src="../img/Recycle-Full-icon (3).png" name="Refrescar" width="48" height="48" border="0" id="Refrescar" onClick="limpiar()" onMouseOver="style.cursor=cursor" title="Refrescar" ></a></td>
          <td width="7%" rowspan="19" align="center"><img src="../img/excel_icon_48.fw.png" alt="Imprimir" name="Imprimir" width="48" height="48" onClick="imprimir()" id="Imprimir" title="Imprimir Toma Fisica"  onMouseOver="style.cursor=cursor" border="0" ></td>
        </tr>
        <tr>
          <td width="1%">&nbsp;</td>
          <td width="8%">Código Barras</td>
          <td width="8%"><img src="../img/search-b-icon (5).png" alt="Buscar" width="32" height="32" title="Buscar articulos" onClick="ventanaArticulos()" onMouseOver="style.cursor=cursor"></td>
          <td width="14%" align="left"><input id="cdgbar" name="cdgbar" type="text" class="cajaGrande" maxlength="45" value="<?php echo $cdgbar?>"   autocomplete="off"   onChange="validarbarras()"  onBlur="buscar()" onFocus="siguienteCampo ='cdgart';"  ></td>
          <td width="7%" align="left">Código:</td>
          <td width="14%" align="left"><input name="cdgart" type="text"   class="cajaGrande" id="cdgart" value="<?php echo $cdgart?>" maxlength="10"  autocomplete="off"  onChange="validararticulo()"  onBlur="buscar()" onFocus="siguienteCampo ='cdgbar'; " ></td>
          <td width="8%" align="left">Cantidad</td>
          <td width="14%" colspan="2" align="left"><input name="cantidad" type="text"   class="cajaGrande" id="cantidad" value="0.00" maxlength="10"  autocomplete="off" style='text-align:center;'   onChange=""  onFocus="siguienteCampo ='fin';" ></td>
        </tr>
        <tr>
          <td rowspan="2">&nbsp;</td>
          <td height="14" colspan="2">Descripción:</td>
          <td colspan="4" align="left"><input id="dscart" type="text" class="cajaGrande" name="dscart" maxlength="15" value="<?php echo $dscart?>"  onFocus="siguienteCampo ='cdgart';"  readonly ></td>
          <td align="left">Existencia</td>
          <td align="right"><input id="exiact" type="text" class="cajaGrande" name="exiact" maxlength="15" value="0.00"  onFocus="siguienteCampo ='cdgart';" style='text-align:center;'    readonly ></td>
        </tr>
        			      <input id="accion" name="accion" value="" type="hidden">
                          <input id="nomusu" name="nomusu" value="<?php echo $nomb?>" type="hidden">
        <tr>
          <td height="14" colspan="2">&nbsp;</td>
          <td colspan="6" align="right">&nbsp;</td>
        </tr>
      </table>
    </div>
      <div id="lineaResultado">

	    <table class="fuente8" width="80%" cellspacing=0 cellpadding=3 border=0>

			  	<tr>

				<td width="50%" align="left">Cantidad de Capturas 
				  <input id="filas" type="text" class="cajaPequena" NAME="filas" maxlength="5" readonly></td>

				<td width="50%" align="right">Mostrados <select name="paginas" id="paginas"   type"hidden"  onChange="paginar()">

		          </select></td>

	    </table>

	  </div>


				<div class="aCentro" id="frmResultado">

				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">


							

							<td width="12%" class="totalResultado">CODIGO</td>
							
							<td width="16%" class="totalResultado">COD BARRAS</td>

							<td width="32%" class="totalResultado"><div align="left">DESCRIPCION </div></td>

							<td width="15%" class="totalResultado">CAPTURA</td>

							<td width="16%" class="totalResultado">FECHA</td>

							<td width="2%" class="totalResultado">&nbsp;</td>

							<td width="1%" class="totalResultado">&nbsp;</td>

							<td width="6%" class="totalResultado">&nbsp;</td>
						</tr>
				</table>
				</div>

				
				  <input type="hidden" id="iniciopagina" name="iniciopagina">
				  
				  <input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
				  <iframe style="margin: 0 0 0 0px;" width="100%" height="375" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                  <ilayer height="60" id="frame_rejilla" name="frame_rejilla"></ilayer>
				  </iframe>
                  	 <iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
					<iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>
				
			  </form>

				<div id="">
				  <div class="aCentro" id="frmresultado">
				    <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
                      <tr >
                      </tr>
					  <tr id="frmresultado">
                        
                       
                      </tr>
                    </table>
			      </div>
				
			  </div>
			  </div>
		  </div>			



	</body>

</html>

